Bug 1199284 - Review request: nodejs-npm-install-checks - Install checks for NPM
Summary: Review request: nodejs-npm-install-checks - Install checks for NPM
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Piotr Popieluch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: nodejs-reviews
TreeView+ depends on / blocked
 
Reported: 2015-03-05 20:25 UTC by Zuzana Svetlikova
Modified: 2015-06-09 15:16 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-06-09 15:01:41 UTC
piotr1212: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Zuzana Svetlikova 2015-03-05 20:25:37 UTC
Spec URL: https://fedorapeople.org/~zvetlik/nodejs/nodejs-npm-install-checks.spec
SRPM URL: https://fedorapeople.org/~zvetlik/nodejs/nodejs-npm-install-checks-1.0.4-2.fc23.src.rpm
DescriptionA package that contains checks that npm runs during the installation.
Fedora Account System Username: zvetlik

Comment 2 Piotr Popieluch 2015-03-20 21:44:27 UTC
The package looks good but fails to install on f21 and rawhide because of wrong versions of semver and npmlog.

You can have this ignored by changing the fixdeps to:

%{nodejs_fixdep} semver '2.x'
%{nodejs_fixdep} npmlog '0.0.x'

Comment 4 Piotr Popieluch 2015-03-21 10:26:48 UTC
APPROVED, but you need to fix following issues before pushing to SCM:

1. nodejs-npm-install-checks.noarch: W: invalid-license BSD-2-Clause

License should be "BSD", not "BSD-2-Clause"

See: https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Software_License_List for valid short license names.


2. [!]: Latest version is packaged.

I have noticed that the latest version is 1.0.5, you should update to that version. 


3. minor typo

I think this line:
tap test?*.js
Should be:
tap test/*.js

This does not affect working of package though.




Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 4 files have unknown license. Detailed output of
     licensecheck in /home/piotr/rpmbuild/1199284-nodejs-npm-install-
     checks/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-npm-install-checks-1.0.4-5.fc23.noarch.rpm
          nodejs-npm-install-checks-1.0.4-5.fc23.src.rpm
nodejs-npm-install-checks.noarch: W: invalid-license BSD-2-Clause
nodejs-npm-install-checks.noarch: W: only-non-binary-in-usr-lib
nodejs-npm-install-checks.noarch: W: dangling-symlink /usr/lib/node_modules/npm-install-checks/node_modules/semver /usr/lib/node_modules/semver
nodejs-npm-install-checks.noarch: W: dangling-symlink /usr/lib/node_modules/npm-install-checks/node_modules/npmlog /usr/lib/node_modules/npmlog
nodejs-npm-install-checks.src: W: invalid-license BSD-2-Clause
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
nodejs-npm-install-checks (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(npmlog)
    npm(semver)



Provides
--------
nodejs-npm-install-checks:
    nodejs-npm-install-checks
    npm(npm-install-checks)



Source checksums
----------------
http://registry.npmjs.org/npm-install-checks/-/npm-install-checks-1.0.4.tgz :
  CHECKSUM(SHA256) this package     : be11b8bce27bc3c79490a3de9b4dc84b29ea2d4dc7645e0586f4829cbdd5f369
  CHECKSUM(SHA256) upstream package : be11b8bce27bc3c79490a3de9b4dc84b29ea2d4dc7645e0586f4829cbdd5f369


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1199284
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 5 Zuzana Svetlikova 2015-03-26 16:28:17 UTC
New Package SCM Request
=======================
Package Name: nodejs-npm-install-checks
Short Description: Install checks for NPM
Upstream URL: https://github.com/npm/npm-install-checks
Owners: zvetlik humaton
Branches: f20 f21 f22
InitialCC: humaton

Comment 6 Gwyn Ciesla 2015-03-26 18:05:35 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2015-05-28 11:02:40 UTC
nodejs-npm-install-checks-1.0.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-npm-install-checks-1.0.5-1.fc20

Comment 8 Fedora Update System 2015-05-28 11:08:26 UTC
nodejs-npm-install-checks-1.0.5-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-npm-install-checks-1.0.5-1.fc21

Comment 9 Fedora Update System 2015-05-28 11:15:32 UTC
nodejs-npm-install-checks-1.0.5-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/nodejs-npm-install-checks-1.0.5-1.fc22

Comment 10 Fedora Update System 2015-05-30 15:38:30 UTC
nodejs-npm-install-checks-1.0.5-1.fc21 has been pushed to the Fedora 21 testing repository.

Comment 11 Fedora Update System 2015-06-09 15:01:41 UTC
nodejs-npm-install-checks-1.0.5-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 12 Fedora Update System 2015-06-09 15:14:07 UTC
nodejs-npm-install-checks-1.0.5-1.fc22 has been pushed to the Fedora 22 stable repository.

Comment 13 Fedora Update System 2015-06-09 15:16:19 UTC
nodejs-npm-install-checks-1.0.5-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.